Subject: dmd: service definition errors cause kernel panic

From: Mark H Weaver <[email-masked]>
Date: Thu, 05 Feb 2015 02:18:22 -0500

When I first wrote 'wicd-service', I mispelled
'make-forkexec-constructor'.  This caused a kernel panic whenever the
service was included in my OS config.  I don't know whether dmd printed
a helpful error message, but if so, it was followed immediately by a
kernel call trace that caused earlier messages to scroll off the screen.
The result is that it was quite difficult to find the source of the
error.

In case of such errors, it would be good if dmd would print an error
message with the most useful information at the bottom (in case it does
not all fit on the display) and then to avoid exiting so that the
message could be read and understood.

      Mark